Package: groovy.lang

## [Java] Class IncorrectClosureArgumentsException

- groovy.lang.IncorrectClosureArgumentsException

-     public class IncorrectClosureArgumentsException
      extends GroovyRuntimeException

  An exception occurred when invoking a Closure with the wrong number and/or types of arguments

- - ### Constructor Summary

    Constructors
    Constructor and description
    `IncorrectClosureArgumentsException(Closure closure, Object arguments, Class[] expected)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Object` | `getArguments()`
    `` | `public Closure` | `getClosure()`
    `` | `public Class[]` | `getExpected()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyRuntimeException` | `getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule`

- - ### Constructor Detail

    - #### public IncorrectClosureArgumentsException(Closure closure, Object arguments, Class[] expected)

  - ### Method Detail

    - #### public Object getArguments()

    - #### public Closure getClosure()

    - #### public Class[] getExpected()